[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TButtonGlyph.SetTransparentMode

Sets the value for the TransparentMode property.

## Declaration

Source position: buttons.pp line 118

`protected procedure TButtonGlyph.SetTransparentMode(`
`AValue: TGlyphTransparencyMode`
`);`

## Arguments

`AValue` |  | Value stored in the TransparentMode property.

## Description

SetTransparentMode is a procedure used to set the value in the TransparentMode property to the specified TGlyphTransparencyMode value. SetTransparentMode ensures that the bitmap in the Glyph property is updated to use the same transparency mode.

Remark: | SetTransparentMode is not the write access specifier for TransparentMode, which is a read-only property.

## See also

TButtonGlyph.TransparentMode |  | Indicates the transparency mode used to render the glyph image.
TButtonGlyph.Glyph |  | The bitmap image drawn as the glyph on the button.
TGlyphTransparencyMode |  | Enumerated type with transparency mode values for button glyphs.